[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DialogChar

Applies an accelerator key for a column in the grid.

## Declaration

Source position: grids.pas line 1023

`protected function TCustomGrid.DialogChar(`
`var Message: TLMKey`
`):Boolean; override;`

## Arguments

`Message` |  | TLMKey message examined in the method.

## Function result

True if the character code in Message is found in a caption for a column on the grid.

## Description

DialogChar is an overridden Boolean function used to apply Lazarus messages with accelerator keys for columns in the grid. Message contains the TLMKey instance with the message examined in the method. DialogChar examines each of the Columns defined for the grid to determine if the CharCode for the Message is an accelerator key appearing in the title for the column. When a match is found, the HeaderClick method is called to activate the column.

The return value contains the result from the inherited DialogChar method.

## See also

TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.ColCount |  | Number of columns in the grid.
TCustomGrid.HeaderClick |  | Performs actions needed when a mouse click occurs in a fixed header for a grid column or row.
TWinControl.DialogChar |  | Handles the specified key in Message as an accelerator or shortcut key.